qpid::Range Class Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions
qpid::Range Class Reference

A range of values, used in RangeSet. More...

`#include <qpid/RangeSet.h>`

List of all members.

## Public Member Functions
| Range ()
| Range (const T &t)
| Range (const T &b, const T &e)
T | begin () const
T | end () const
| End of _open_ range, i.e.
T | first () const
T | last () const
| Last in closed range, i.e.
void | begin (const T &t)
void | end (const T &t)
size_t | size () const
bool | empty () const
bool | contains (const T &x) const
bool | contains (const Range &r) const
bool | strictContains (const Range &r) const
bool | operator== (const Range &x)
bool | operator< (const T &t) const
bool | operator< (const Range< T > &r) const
bool | touching (const Range &r) const
| touching ranges can be merged into a single range.
void | merge (const Range &r)
| operator bool () const
template<class S >
void | serialize (S &s)
## Static Public Member Functions
static Range | makeClosed (const T &first, T last)

## Detailed Description

A range of values, used in RangeSet.

Range(begin, end) includes begin but excludes end. Range::makeClosed(first,last) includes both first and last.

## Constructor & Destructor Documentation

qpid::Range::Range | ( |  | ) | `[inline]`

Definition at line 43 of file RangeSet.h.

Referenced by makeClosed().

qpid::Range::Range | ( | const T & | t | ) | `[inline, explicit]`

Definition at line 44 of file RangeSet.h.

qpid::Range::Range | ( | const T & | b,
|  | const T & | e
| ) |  | `[inline]`

Definition at line 45 of file RangeSet.h.

## Member Function Documentation

T qpid::Range::begin | ( |  | ) | const`[inline]`

Definition at line 47 of file RangeSet.h.

void qpid::Range::begin | ( | const T & | t | ) | `[inline]`

Definition at line 55 of file RangeSet.h.

bool qpid::Range::contains | ( | const T & | x | ) | const`[inline]`

Definition at line 60 of file RangeSet.h.

bool qpid::Range::contains | ( | const Range & | r | ) | const`[inline]`

Definition at line 61 of file RangeSet.h.

bool qpid::Range::empty | ( |  | ) | const`[inline]`

Definition at line 58 of file RangeSet.h.

Referenced by first(), last(), and operator bool().

T qpid::Range::end | ( |  | ) | const`[inline]`

End of _open_ range, i.e.

!contains(end())

Definition at line 49 of file RangeSet.h.

Referenced by qpid::RangeSet::removeRange().

void qpid::Range::end | ( | const T & | t | ) | `[inline]`

Definition at line 56 of file RangeSet.h.

T qpid::Range::first | ( |  | ) | const`[inline]`

Definition at line 51 of file RangeSet.h.

References empty().

T qpid::Range::last | ( |  | ) | const`[inline]`

Last in closed range, i.e.

contains(end())

Definition at line 53 of file RangeSet.h.

References empty().

static Range qpid::Range::makeClosed | ( | const T & | first,
|  | T | last
| ) |  | `[inline, static]`

Definition at line 41 of file RangeSet.h.

References Range().

void qpid::Range::merge | ( | const Range & | r | ) | `[inline]`

Precondition:
  touching

Definition at line 75 of file RangeSet.h.

References touching().

qpid::Range::operator bool | ( |  | ) | const`[inline]`

Definition at line 81 of file RangeSet.h.

References empty().

bool qpid::Range::operator< | ( | const T & | t | ) | const`[inline]`

Definition at line 66 of file RangeSet.h.

bool qpid::Range::operator< | ( | const Range< T > & | r | ) | const`[inline]`

Definition at line 67 of file RangeSet.h.

bool qpid::Range::operator== | ( | const Range & | x | ) | `[inline]`

Definition at line 64 of file RangeSet.h.

template<class S >

void qpid::Range::serialize | ( | S & | s | ) | `[inline]`

Definition at line 83 of file RangeSet.h.

size_t qpid::Range::size | ( |  | ) | const`[inline]`

Definition at line 57 of file RangeSet.h.

bool qpid::Range::strictContains | ( | const Range & | r | ) | const`[inline]`

Definition at line 62 of file RangeSet.h.

bool qpid::Range::touching | ( | const Range & | r | ) | const`[inline]`

touching ranges can be merged into a single range.

Definition at line 70 of file RangeSet.h.

Referenced by merge().

The documentation for this class was generated from the following file:

- qpid/RangeSet.h